rte_eth_hairpin_queue_cap(3)

NAME
rte_eth_hairpin_queue_cap

SYNOPSIS

#include <rte_ethdev.h>

  Data Fields

uint32_t locked_device_memory:1
uint32_t rte_memory:1
uint32_t reserved:30

Detailed Description

Warning
    EXPERIMENTAL: this API may change, or be removed, without prior notice

A structure used to return the Tx or Rx hairpin queue capabilities.

Definition at line 1238 of file rte_ethdev.h.

Field Documentation

  uint32_t locked_device_memory
When set, PMD supports placing descriptors and/or data buffers in dedicated device memory.

Definition at line 1243 of file rte_ethdev.h.

  uint32_t rte_memory
When set, PMD supports placing descriptors and/or data buffers in host memory managed by DPDK.

Definition at line 1249 of file rte_ethdev.h.

  uint32_t reserved
Reserved for future fields

Definition at line 1251 of file rte_ethdev.h.

Author

Generated automatically by Doxygen for DPDK from the source code.